Issue 97565 - Insert Index and moveup Text on Navigator crashes Master document
Summary: Insert Index and moveup Text on Navigator crashes Master document
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: DEV300m37
Hardware: All All
: P2 Trivial (vote)
Target Milestone: ---
Assignee: michael.ruess
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks: 84292
  Show dependency tree
 
Reported: 2008-12-25 02:38 UTC by amy2008
Modified: 2013-08-07 14:44 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description amy2008 2008-12-25 02:38:14 UTC
Can reproduce it with DEV300m37 on WinXP and Fedora

How to reproduce it 
1 Open a new Master document
2 F5 to open Navigator, on Navigator 'Insert - Index', Insert Index/Table dialog
  opens, OK
3 Select 'Text' and Moveup, Undo

Result
OOo crashes

Expectation
Undo works well

Regards 
Li Meiying
Comment 1 eric.savary 2009-01-12 15:16:30 UTC
OS: as described. No crash report.
Comment 2 Oliver Specht 2009-01-12 15:45:44 UTC
stack: 
 	swmi.dll!SwNodeIndex::SwNodeIndex()  + 0x37 bytes	C++
 	swmi.dll!SwUndoInsSection::Undo()  + 0x87 bytes	C++
>	swmi.dll!SwDoc::Undo(SwUndoIter & rUndoIter={...})  Line 403	C++
 	swmi.dll!SwEditShell::Undo()  + 0x117 bytes	C++
 	swmi.dll!SwWrtShell::Do(SwWrtShell::DoType eDoType=UNDO, unsigned short
nCnt=1)  Line 67	C++
 	swmi.dll!SwBaseShell::ExecUndo(SfxRequest & rReq={...})  Line 507	C++
 	swmi.dll!SfxStubSwBaseShellExecUndo(SfxShell * pShell=0x0d406398, SfxRequest &
rReq={...})  Line 1650 + 0xf bytes	C++
 	sfxmi.dll!01bc6c37() 	
Comment 3 Mathias_Bauer 2009-02-02 13:51:36 UTC
Oliver, please take over
Comment 4 Oliver Specht 2009-07-30 09:46:31 UTC
Fixed in cws os134 in
sw/source/core/undo/undo.src
sw/source/core/edit/edglbldc.cxx
Comment 5 Oliver Specht 2009-09-02 13:14:15 UTC
Reassigned for verification
Comment 6 michael.ruess 2009-09-07 14:46:45 UTC
Verified fix in CWS os134.
Comment 7 michael.ruess 2009-09-18 08:41:03 UTC
Checked in DEV300m58.